### Home Classes Methods

### In Files

- app/controllers/devise_auth/sessions_controller.rb

### Parent

Devise::SessionsController

### Methods

- #create
- #new

### Files

- README_FOR_APP

### Class Index

Quicksearch

- LastFM
- LastFM::Album
- LastFM::Artist
- LastFM::Chart
- LastFM::Request
- LastFM::Track
- LastFM::Validator
- DeviseAuth
- DeviseAuth::RegistrationsController
- DeviseAuth::SessionsController
- Users
- Users::OmniauthCallbacksController
- ApplicationController
- ApplicationHelper
- Artist
- ArtistsController
- ChartsController
- HomeController
- Playlist
- PlaylistsTracks
- RedisQueryable
- SearchController
- Track
- TracksController
- User
- UsersController
- UsersHelper
- YoutubeVideoRating

No matching classes.

# DeviseAuth::SessionsController

### Public Instance Methods

create() click to toggle source

        # File app/controllers/devise_auth/sessions_controller.rb, line 9
     9:   def create

    10:     resource = warden.authenticate!(:scope => resource_name, :recall => "#{controller_path}#new")

    11:     set_flash_message(:notice, :signed_in) if is_navigational_format?

    12:     sign_in(resource_name, resource)

    13:     redirect_to "/#!/home", :partial => "devise/registrations/new"

    14:   end

new() click to toggle source

       # File app/controllers/devise_auth/sessions_controller.rb, line 3
    3:   def new

    4:     resource = build_resource

    5:     clean_up_passwords(resource)

    6:     respond_with_navigational(resource, stub_options(resource)){ render :partial => "devise/sessions/new" }

    7:   end

Disabled; run with --debug to generate this.

[Validate]

Generated with the Darkfish Rdoc Generator 1.1.6.